Update build
Updates the server build information
/api/application/servers/{id}/buildAuthorization
ApplicationToken Application API key (generated at /admin/api)
In: header
Path Parameters
Server ID (internal numeric ID)
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/api/application/servers/5/build" \ -H "Content-Type: application/json" \ -d '{ "allocation": 1, "memory": 512, "swap": 0, "disk": 200, "io": 500, "cpu": 0, "threads": null, "feature_limits": { "databases": 5, "allocations": 5, "backups": 2 } }'{ "object": "server", "attributes": { "id": 5, "external_id": "RemoteID1", "uuid": "1a7ce997-259b-452e-8b4e-cecc464142ca", "identifier": "1a7ce997", "name": "Gaming", "description": "Matt from Wii Sports", "suspended": false, "limits": { "memory": 512, "swap": 0, "disk": 200, "io": 500, "cpu": 0, "threads": null }, "feature_limits": { "databases": 5, "allocations": 5, "backups": 2 }, "user": 1, "node": 1, "allocation": 1, "nest": 1, "egg": 5, "container": { "startup_command": "java -Xms128M -Xmx2014M -jar server.jar", "image": "quay.io/pterodactyl/core:java", "installed": true, "environment": { "SERVER_JARFILE": "server.jar", "VANILLA_VERSION": "latest", "STARTUP": "java -Xms128M -Xmx2048M -jar server.jar", "P_SERVER_LOCATION": "GB", "P_SERVER_UUID": "1a7ce997-259b-452e-8b4e-cecc464142ca", "P_SERVER_ALLOCATION_LIMIT": 5 } }, "updated_at": "2020-11-04T21:11:26+00:00", "created_at": "2019-12-23T06:46:27+00:00" }}